<?php

/* Includetetaan peruskoodi, joka sislt salasanakyselyn */
include("../peruskoodi.php");

$kavtiedotfile = "../kavijatiedot.php";

/* Tarkastetaan, mik toiminto on valittu. */

$toiminto = $_POST['toiminto'];

if ($toiminto == "paivat")
	include("kavijat_paivat.php");
elseif ($toiminto == "viikot")
	include("kavijat_vkot.php");
elseif ($toiminto == "kuukaudet")
	include("kavijat_kkt.php");
elseif ($toiminto == "tilastot")
	include("tilastotiedot.php");
elseif ($toiminto == "tyhjenna")
{

	/* Jos valittiin kvijtietojen tyhjennys, tyhjennetn tiedosto ylikirjoittamalla se peruskoodilla. */
	
	$peruskoodi = "
	<?php
	include(\"peruskoodi.php\");
	?>";

	$fd = fopen($kavtiedotfile, "w");
	flock($fd, 2);
	fputs($fd, $peruskoodi);
	flock($fd, 3);
	fclose($fd);

	exit("
		<html>
		<head>
			<title>Kvijtiedot tyhjennetty</title>
		</head>
		<body>
			<b>Kvijtiedot tyhjennetty.</b>
		</body>
		</html>
	");

}

elseif ($toiminto == "katso")
{

	/* Jos haluttiin katsoa kvijtietoja, luetaan kvijtiedot-tiedoston sislt.  */

	$fd = fopen($kavtiedotfile, "r");
	flock($fd, 1);
	$sisalto = fread($fd, filesize($kavtiedotfile));
	flock($fd, 3);
	fclose($fd);

	/* Muutetaan referer-osoitteet linkeiksi.  */
	$sisalto = ereg_replace("[[:alpha:]]+://[^<>[:space:]]+[[:alnum:]/]",
	                     "<a href=\"\\0\">"."\\0"."</a>", $sisalto);
	$sisalto = wordwrap($sisalto, 50, "\n", 1);

	/* Lasketaan tiedostokoko.  */
	$tiedkoko = round(filesize($kavtiedotfile)/1024, 1);  

	/* Printataan taulukko kvijtiedoista */
	print('
		<html>
		<head>
			<title>Kvijtiedot</title>
			<meta name="robots" content="noarchive, noindex, nofollow">
			<meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1"/>
			<link rel="stylesheet" type="text/css" href="tyylit.css" />
		</head>
		<body>
		<h2>Kvijtiedot, kvijtietojen tiedostokoko noin '.$tiedkoko.' kt.'.'</h2>
		<table class="kavijatiedot">
		<thead>
		<tr>
			<td width="10%">Pivmr ja aika</td>
			<td width="10%">IP-osoite -- Host</td>
			<td width="30%">Referer-osoite</td>
			<td width="30%">Mihin sivuun tuli ensin?</td>
			<td width="20%">Selain, kyttjrjestelm yms.</td>
		</tr>
		</thead>
		<tbody>
	');
	print ($sisalto);
	print("
		</tbody>
		</table>
		</body>
		</html>
	");

}


else
{
	exit ("Et valinnut toimintoa!");
}

?>