<?php

/* Includetetaan peruskoodi, joka sislt salasanakyselyn */
include("../peruskoodi.php");

/* Tarkastetaan, onko annettu vuotta, jonka kvijmri halutaan tarkastella */
$vuosipv = $_POST['vuosipv'];

if ($vuosipv == "")
	exit("Et antanut vuotta, josta haluat katsoa kvijt pivi kohden!");

/* Printataan taulukko kvijmrist */

print('
<html>
<head>
	<title>Kvijt pivi kohden</title>
	<meta name="robots" content="noarchive, noindex, nofollow">
	<meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1"/>
	<link rel="stylesheet" type="text/css" href="tyylit.css" />
</head>
<body>
');
print('<table class="kavijamaarat">');
print ('
<thead>
<tr>
	<td>v.-kk.-paiv.</td>
	<td>Kvijmr</td>
</tr>
</thead>
');

for ($i = 0; $i <= 365; $i++) 
{

	/* Kydn lpi kaikki paivat-kansion kvijmrtiedostot, jotka ovat haluttua vuotta. */

	${"kavjijat"."$i"} = date ("Y-m-d", mktime (0,0,0,1,1+$i,$vuosipv));
	${"kavjijatfilu"."$i"} = "../paivat/".${"kavjijat"."$i"}.".txt";

	if (file_exists(${"kavjijatfilu"."$i"}))
	{
		$fd = fopen (${"kavjijatfilu"."$i"}, "r"); 
		flock($fd, 1);
		${"maara"."$i"} = fread ($fd, filesize (${"kavjijatfilu"."$i"}));
		flock($fd, 3);
		fclose($fd);
	}
	else
	{
		${"maara"."$i"} = "0";
	}

	${"printti"."$i"} = str_replace(".txt", "", ${"kavjijat"."$i"}); 

	print("<tr><td>");
	print (${"printti"."$i"}.'</td>');
	print("<td>");
	print (${"maara"."$i"}.'</td>');
	print ("</tr>");

}

print("</table>");
print("</body>");
print("</html>");

?>